# Method: edits.insert

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/edits/insert#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/edits/insert#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/edits/insert#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/edits/insert#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/edits/insert#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/edits/insert#try-it)

Creates a new edit for an app.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/edits`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |

### Request body

The request body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/edits#AppEdit`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/edits#AppEdit`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`